nl.tudelft.simulation.xml.dsol

## Class ExperimentParsingThread

- java.lang.Object
- - java.lang.Thread
  - - nl.tudelft.simulation.xml.dsol.ExperimentParsingThread

All Implemented Interfaces:
  Runnable

    public class ExperimentParsingThread
    extends Thread

A ExperimentParsingThread.

Copyright (c) 2002-2018 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`protected URL` `experiment` the experiment.
`static EventType` `EXPERIMENT_PARSED_EVENT` EXPERIMENT_PARSED_EVENT
`protected EventListenerInterface` `source` the owning listener.

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`ExperimentParsingThread(EventListenerInterface source, URL experiment)` constructs a new ExperimentParsingThread

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EXPERIMENT_PARSED_EVENT

    public static final EventType EXPERIMENT_PARSED_EVENT

EXPERIMENT_PARSED_EVENT

#### source

    protected EventListenerInterface source

the owning listener.

#### experiment

    protected URL experiment

the experiment.

### Constructor Detail

#### ExperimentParsingThread

    public ExperimentParsingThread(EventListenerInterface source,
                                   URL experiment)

constructs a new ExperimentParsingThread

Parameters:
  `source` - EventListenerInterface; the source of this thread
  `experiment` - URL; the experiment to parse

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`